
QGIS Application - Bug report #2287

Undo/redo panel should empty on editing turned off

2009-12-16 02:43 AM - luca76 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12347

Description

Undo/redo panel should empty on editing turned off.

Steps to reproduce:

0) open the Undo/redo history panel

1) start editing on a layer

2) make a modification

3) you see an entry on the panel

4) stop editing and don't save

the history panel still contains that operation

Associated revisions

Revision ca704986 - 2009-12-19 11:29 AM - Martin Dobias

Clear undo stack on rollback. Fixes #2287.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12510 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ccc54715 - 2009-12-19 11:29 AM - Martin Dobias

Clear undo stack on rollback. Fixes #2287.

git-svn-id: http://svn.osgeo.org/qgis/trunk@12510 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-19 02:29 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:ccc54715 (SVN r12511)
